Summary:    Intelligent Pinyin engine based on libpinyin for IBus
Name:       ibus-libpinyin
Version:    1.14.91
Release:    4%{?dist}
License:    GPLv3+
URL:        https://github.com/libpinyin/ibus-libpinyin
Source0:    http://downloads.sourceforge.net/libpinyin/ibus-libpinyin/%{name}-%{version}.tar.gz

BuildRequires: gcc-c++ gettext-devel libtool pkgconfig sqlite-devel libuuid-devel
BuildRequires: lua-devel python3-devel desktop-file-utils ibus-devel libpinyin-devel make
Requires:      python3-gobject ibus libpinyin-data

%description
It includes a Chinese Pinyin input method and a Chinese ZhuYin (Bopomofo) input method based on
libpinyin for IBus.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure \
    --disable-static \
    --with-python=python3 \
    --disable-boost \
    %{nil}

%make_build

%install
%make_install
%py_byte_compile %{python3} %{buildroot}%{_datadir}/ibus-libpinyin/setup
%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/ibus-setup-libpinyin.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/ibus-setup-libbopomofo.desktop

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README
%{_libexecdir}/ibus-engine-libpinyin
%{_libexecdir}/ibus-setup-libpinyin
%{_datadir}/metainfo/*.appdata.xml
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/applications/ibus-setup-libpinyin.desktop
%{_datadir}/applications/ibus-setup-libbopomofo.desktop
%{_datadir}/ibus-libpinyin/icons
%{_datadir}/ibus-libpinyin/setup
%{_datadir}/ibus-libpinyin/base.lua
%{_datadir}/ibus-libpinyin/user.lua
%{_datadir}/ibus-libpinyin/network.txt
%{_datadir}/ibus-libpinyin/db/english.db
%{_datadir}/ibus-libpinyin/db/table.db
%dir %{_datadir}/ibus-libpinyin
%dir %{_datadir}/ibus-libpinyin/db
%{_datadir}/ibus/component/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14.91-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14.91-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14.91-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 13 2023 Shuo Wang <abushwang@tencent.com> - 1.14.91-1
- initial build
